/**
  ******************************************************************************
  * @file STM8_TSL_RC_Internal.h
  * @brief RC Touch Sensing Library for STM8 CPU family.
  * TSL Internal variable definitions.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.3.0
  * @date 29-OCT-2009
  ******************************************************************************
  *
  */

#ifndef __TSL_INTERNAL__
#define __TSL_INTERNAL__

#include "STM8_TSL_RC_IODriver.h"
#include "STM8_TSL_RC_API.h"

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//-----             LOCAL VARIABLE DEFINITION                            -----
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
extern u8 @tiny KeyIndex, ChannelIndex;
extern s16 @tiny Delta;
extern s16 @tiny Delta1;
extern s16 @tiny Delta2;
extern s16 @tiny Delta3;
extern KeyFlag_T @tiny TSL_TempGlobalSetting;
extern KeyState_T @tiny TSL_TempGlobalState;
extern u8 @tiny Local_TickECS10ms;
extern TimerFlag_T @tiny Local_TickFlag;
extern u8 @tiny ECSTimeStepCounter;
extern u8 ECSTempoCounter;
extern u8 ECSTempoPrescaler;

#endif /* __TSL_INTERNAL__ */

 // (c) 2009 STMicroelectronics *************************
