/**
  ******************************************************************************
  * @file i2c_ee.h
  * @brief This file contains all the prototypes for i2c_ee.c module.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date 02/27/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion ------------------------------------ 
#ifndef __I2C_EE_H
#define __I2C_EE_H

// Includes ------------------------------------------------------------------
#include "stm8s.h"

// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------


// Exported macro ------------------------------------------------------------
// Exported functions ------------------------------------------------------- 
void I2C_CR14_EEInit(void);
void I2C_CR14_EE_PageWrite(u8* pBuffer, u16 WriteAddr, u8 NumByteToWrite);
void I2C_CR14_EE_AckPolling(void);
void I2C_CR14_EE_BufferRead_PostPolling(u8* pBuffer, u8 NumByteToRead);
void I2C_CR14_EE_Delay(u16 nCount);
#endif /* __I2C_EE_H */



